// console.log(d3);
import { select, arc } from 'd3';

const svg = select('svg');
// svg.style('background-color', 'steelblue');



const height = +svg.attr('height');
const width = +svg.attr('width');

const g = svg.append('g')
	.attr('transform', `translate(${width/2},${height/2})`)


const circle = g.append('circle')
  .attr('r',height/3)
	.attr('fill', 'yellow')
	.attr('stroke', 'black');

const eyeSpacing = 60;
const eyeYOffset = -50
const eyeRadius = 30;

const eyeG = g.append('g')
	.attr('transform', `translate(0,${eyeYOffset})`)
	.attr('fill', 'black')
	.attr('stroke', 'black');

const leftEye = eyeG.append('circle')
  .attr('r', eyeRadius)
	.attr('cx',-eyeSpacing);
	

const rightEye = eyeG.append('circle')
  .attr('r', eyeRadius)
	.attr('cx',+eyeSpacing);


const mouth = g.append('path')
	.attr('d', arc()({
  	innerRadius: 90,
    outerRadius: 100,
    startAngle: Math.PI / 2,
    endAngle: Math.PI *3 / 2
  }));





